Download it now!
Bug 63690 - replace RTL_CONTEXT_ macros with SAL_INFO
Summary: replace RTL_CONTEXT_ macros with SAL_INFO
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.2.0 target:4.3....
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-04-18 14:57 UTC by Björn Michaelsen
Modified: 2015-12-15 16:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2013-04-18 14:57:50 UTC
As noted by sberg at:

 https://gerrit.libreoffice.org/#/c/3421/

RTL_CONTEXT from rtl/logfile.hxx is obsolete and should be replaced with SAL_INFO calls. We are not doing this automatically so that sensible information and a good log area can be added to it and RTL_LOGFILE_CONTEXT_TRACE1 etc. cant be easily forwarded.

Once all RTL_CONTEXT_foo is gone, we can kill off logfile.hxx as a whole.
Comment 1 Commit Notification 2013-05-20 19:08:10 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd888a331b6eafbdf3225e15e47c1190bd5bd6b7

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-05-31 18:11:54 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=660b67a413fed152bc273bdc534e53b01b1e9d77

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-06-10 08:47:49 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db979ee28a360d1222ddc8a67b929434c0c51255

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-06-17 16:03:22 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd3f8fbaff3eb2eee9f6cdf9e6a79cd6dd14115d

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-07-03 08:09:23 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61db96daa87754af24355d7ac94ee0305f22ff87

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2013-07-15 12:19:49 UTC
Replacing RTL_LOGFILE_CONTEXT_AUTHOR with SAL_INFO does not make sense, it leaves us with a pile of useless "entered this method" messages.The previous RTL_LOGFILE_CONTEXT_AUTHOR added timing information to the log which is not present anymore with SAL_INFO. If we want to get rid of RTL_LOGFILE_CONTEXT_AUTHOR then remove these calls entirely instead of converting them to SAL_INFO.
Comment 7 Commit Notification 2013-07-15 15:40:24 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7650a82702ec9d13e3a52ea84b9666ee4e9f9a62

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2013-07-15 15:59:20 UTC
So, to recap, I think the following may be converted to SAL_INFO because they may contain trace information otherwise be lost (though I doubt it was actually used that way), best would be to decide case-by-case what the intention of the original author might had been..

RTL_LOGFILE_CONTEXT_TRACE
RTL_LOGFILE_CONTEXT_TRACE1
RTL_LOGFILE_CONTEXT_TRACE2
RTL_LOGFILE_CONTEXT_TRACE3
RTL_LOGFILE_TRACE
RTL_LOGFILE_TRACE1
RTL_LOGFILE_TRACE2
RTL_LOGFILE_TRACE3

while the following should simply be removed:

RTL_LOGFILE_CONTEXT
RTL_LOGFILE_CONTEXT_AUTHOR
Comment 9 Commit Notification 2013-07-15 16:38:14 UTC
Ricardo Montania committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5730dd48cad67f71a2ab3792b59920470dd7c682

fdo#63690 drop RTL_LOGFILE_CONTEXT_AUTHOR



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-07-19 08:22:09 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ceb7f65f7f10ab027f2034bd663a5b410d31659

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-07-23 08:31:34 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d95193f85921863cc127b1a3aec5924ff693592

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-07-23 14:11:11 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb590428d84fa63a1fe429cccd32943e0cbebd2d

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-07-23 21:31:33 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=689363662cc81fcf629850fa0b002577cc61e97d

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2013-07-23 21:31:51 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e3fdd1fdcd2dbcbd87a88d19a781e845f7d0fca

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2013-07-24 20:31:06 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec52a20edbd7243bba041259d93608c2dac4b39c

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2013-07-24 20:32:02 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f85fc1cdda3e84b05cefa1d6ca4e666bb76500cc

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2013-07-25 07:29:18 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0cffa68488afd07fa99f74631ae121aa87a7d32

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2013-07-26 16:33:53 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e42737a213373af18d1e68cea7b16b1679b4c3fe

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2013-07-26 16:34:12 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48c662e1a8ac6da61b6b586d268db5bb4f1e3669

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2013-07-26 16:43:23 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9c9353b4b1628fdffc5f8c4db34c88186a244c7

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2013-07-29 12:59:16 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15dc66c81a5a0af8db52a98e51e289f8f134d8c4

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2013-08-01 17:05:07 UTC
Jelle van der Waa committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1e10f8b468d5f0b2ddb2d3dc1be2cdfdd9b2409

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Jelle van der Waa 2013-08-08 18:32:49 UTC
I think all the RTL_LOGFILE references are replaced in the codebase.
Comment 24 Jelle van der Waa 2013-08-31 10:34:05 UTC
All occurrences of RTL_CONTEXT_* are replaced.
Comment 25 Commit Notification 2014-05-13 18:07:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7339ab25eee98b9c90cf46e9073c1faa6b53e9bc

fdo#63690 - replace RTL_CONTEXT_ macros with SAL_INFO



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Adolfo Jayme 2015-02-17 06:15:18 UTC
For the record:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5818dd94599540196072955b5987671f7f7d5a44

Related: tdf#63690 - add stubs for removed rtl_logfile functions.
Comment 27 Robinson Tryon (qubit) 2015-12-15 16:47:30 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp )
[NinjaEdit]